DIST_SUBDIRS = . icons examples
SUBDIRS = . icons

ACLOCAL_AMFLAGS = -I m4
lib_LTLIBRARIES = libaspectbin.la

if INST_GLADEUI
glade_catalogdir = $(GLADEUI_catalogdir)
dist_glade_catalog_DATA = aspectbin.xml
endif

libaspectbin_la_SOURCES = aspectbin.c
libaspectbin_la_CFLAGS  = $(GTK_CFLAGS)
libaspectbin_la_LDFLAGS = $(GTK_LIBS)
include_HEADERS = aspectbin.h

if BUILD_LIBGLADE
libaspectbin_la_SOURCES += aspectbin-libglade.c
libaspectbin_la_CFLAGS  += $(LIBGLADE_CFLAGS)
libaspectbin_la_LDFLAGS += $(LIBGLADE_LIBS)
endif

if BUILD_GLADEUI
libaspectbin_la_SOURCES += aspectbin-gladeui.c
libaspectbin_la_CFLAGS  += $(GLADEUI_CFLAGS)
libaspectbin_la_LDFLAGS += $(GLADEUI_LIBS)
endif
